i.ortho.transform(1)

NAME
i.ortho.transform - Computes a coordinate transformation based on the control points.

KEYWORDS
imagery, orthorectify, transformation, GCP

SYNOPSIS
i.ortho.transform
i.ortho.transform --help
i.ortho.transform [-srx] group=name [format=string[,string,...]] [coords=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-s
    Display summary information

-r
    Reverse transform of coords file or coeff. dump
    Target east,north,height coordinates to local x,y,z

-x
    Display transform matrix coefficients

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

group=name [required]
    Name of input imagery group

format=string[,string,...]
    Output format
    Options: idx, src, dst, fwd, rev, fxy, rxy, fd, rd
    Default: fd,rd
    idx: point index
    src: source coordinates
    dst: destination coordinates
    fwd: forward coordinates (destination)
    rev: reverse coordinates (source)
    fxy: forward coordinates difference (destination)
    rxy: reverse coordinates difference (source)
    fd: forward error (destination)
    rd: reverse error (source)

coords=name
    File containing coordinates to transform ("-" to read from stdin)
    Local x,y,z coordinates to target east,north,height

DESCRIPTION
i.ortho.transform is an utility to compute transformation based upon GCPs and output error measurements.

NOTES
For coordinates given with the coords file option or fed from stdin, the input format is "x y z" with one coordinate pair per line.

The transformations are:

order=1:

    e = [E0 E1][1].[1]
        [E2  0][e] [n]
    n = [N0 N1][1].[1]
        [N2  0][e] [n]

order=2:

    e = [E0 E1 E3][1 ] [1 ]
        [E2 E4  0][e ].[n ]
        [E5  0  0][e²] [n²]
    n = [N0 N1 N3][1 ] [1 ]
        [N2 N4  0][e ].[n ]
        [N5  0  0][e²] [n²]

order=3:

    e = [E0 E1 E3 E6][1 ] [1 ]
        [E2 E4 E7  0][e ].[n ]
        [E5 E8  0  0][e²] [n²]
        [E9  0  0  0][e³] [n³]
    n = [N0 N1 N3 N6][1 ] [1 ]
        [N2 N4 N7  0][e ].[n ]
        [N5 N8  0  0][e²] [n²]
        [N9  0  0  0][e³] [n³]

["." = dot-product, (AE).N = N’EA.]

In other words, order=1 and order=2 are equivalent to order=3 with the higher coefficients equal to zero.

SEE ALSO
i.rectify

TODO
Update this document with x,y,z<->E,N,H information

AUTHORS
Brian J. Buckley
Glynn Clements
Hamish Bowman

Last changed: $Date: 2017-04-07 18:41:10 +0200 (Fri, 07 Apr 2017) $

SOURCE CODE

Available at: i.ortho.transform source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2018 GRASS Development Team, GRASS GIS 7.4.3 Reference Manual